Modify

Opened 6 years ago

Closed 6 years ago

#3446 closed defect (duplicate)

tracdownloaderplugin fails on easy_install - Python 2.4

Reported by: anonymous Owned by: peca
Priority: high Component: TracDownloaderPlugin
Severity: blocker Keywords:
Cc: Trac Release: 0.10

Description

Installed /Library/Frameworks/Python.framework/Versions/2.4/lib/python2.4/site-packages/PyCAPTCHA-0.4-py2.4.egg
Processing dependencies for PyCaptcha
Finished processing dependencies for PyCaptcha
power-mac-g5:~/src/tracdownloaderplugin/0.10 pamaku$ easy_install http://trac-hacks.org/svn/tracdownloaderplugin/0.10/
Downloading http://trac-hacks.org/svn/tracdownloaderplugin/0.10/
Doing subversion checkout from http://trac-hacks.org/svn/tracdownloaderplugin/0.10/ to /tmp/easy_install-Zl-o_S/0.10
Processing 0.10
Running setup.py -q bdist_egg --dist-dir /tmp/easy_install-Zl-o_S/0.10/egg-dist-tmp-Wj0rvG
Traceback (most recent call last):

File "/Library/Frameworks/Python.framework/Versions/Current/bin/easy_install", line 7, in ?

sys.exit(

File "/Library/Frameworks/Python.framework/Versions/2.4/lib/python2.4/site-packages/setuptools-0.6c8-py2.4.egg/setuptools/command/easy_install.py", line 1671, in main

with_ei_usage(lambda:

File "/Library/Frameworks/Python.framework/Versions/2.4/lib/python2.4/site-packages/setuptools-0.6c8-py2.4.egg/setuptools/command/easy_install.py", line 1659, in with_ei_usage

return f()

File "/Library/Frameworks/Python.framework/Versions/2.4/lib/python2.4/site-packages/setuptools-0.6c8-py2.4.egg/setuptools/command/easy_install.py", line 1675, in <lambda>

distclass=DistributionWithoutHelpCommands, kw

File "/Library/Frameworks/Python.framework/Versions/2.4lib/python2.4/distutils/core.py", line 149, in setup

dist.run_commands()

File "/Library/Frameworks/Python.framework/Versions/2.4lib/python2.4/distutils/dist.py", line 946, in run_commands

self.run_command(cmd)

File "/Library/Frameworks/Python.framework/Versions/2.4lib/python2.4/distutils/dist.py", line 966, in run_command

cmd_obj.run()

File "/Library/Frameworks/Python.framework/Versions/2.4/lib/python2.4/site-packages/setuptools-0.6c8-py2.4.egg/setuptools/command/easy_install.py", line 211, in run

self.easy_install(spec, not self.no_deps)

File "/Library/Frameworks/Python.framework/Versions/2.4/lib/python2.4/site-packages/setuptools-0.6c8-py2.4.egg/setuptools/command/easy_install.py", line 422, in easy_install

return self.install_item(None, download, tmpdir, deps, True)

File "/Library/Frameworks/Python.framework/Versions/2.4/lib/python2.4/site-packages/setuptools-0.6c8-py2.4.egg/setuptools/command/easy_install.py", line 476, in install_item

dists = self.install_eggs(spec, download, tmpdir)

File "/Library/Frameworks/Python.framework/Versions/2.4/lib/python2.4/site-packages/setuptools-0.6c8-py2.4.egg/setuptools/command/easy_install.py", line 655, in install_eggs

return self.build_and_install(setup_script, setup_base)

File "/Library/Frameworks/Python.framework/Versions/2.4/lib/python2.4/site-packages/setuptools-0.6c8-py2.4.egg/setuptools/command/easy_install.py", line 930, in build_and_install

self.run_setup(setup_script, setup_base, args)

File "/Library/Frameworks/Python.framework/Versions/2.4/lib/python2.4/site-packages/setuptools-0.6c8-py2.4.egg/setuptools/command/easy_install.py", line 919, in run_setup

run_setup(setup_script, args)

File "/Library/Frameworks/Python.framework/Versions/2.4/lib/python2.4/site-packages/setuptools-0.6c8-py2.4.egg/setuptools/sandbox.py", line 26, in run_setup

DirectorySandbox(setup_dir).run(

File "/Library/Frameworks/Python.framework/Versions/2.4/lib/python2.4/site-packages/setuptools-0.6c8-py2.4.egg/setuptools/sandbox.py", line 63, in run

return func()

File "/Library/Frameworks/Python.framework/Versions/2.4/lib/python2.4/site-packages/setuptools-0.6c8-py2.4.egg/setuptools/sandbox.py", line 29, in <lambda>

{'file':setup_script, 'name':'main'}

File "setup.py", line 23

extras_require = {},


SyntaxError: invalid syntax

Attachments (0)

Change History (2)

comment:1 follow-up: Changed 6 years ago by anonymous

This is probably the same error I get when trying to build an egg:

bla:/var/www/trac/plugins/tracdownloaderplugin/0.11# python setup.py bdist_egg
  File "setup.py", line 23
    extras_require = {},
                 ^
SyntaxError: invalid syntax
bla:/var/www/trac/plugins/tracdownloaderplugin/0.11#

comment:2 in reply to: ↑ 1 Changed 6 years ago by nazy

  • Resolution set to duplicate
  • Status changed from new to closed

I think it's a duplicate of #2775, and I posted a patch to #2775.

Add Comment

Modify Ticket

Action
as closed .
as The resolution will be set. Next status will be 'closed'.
to The owner will be changed from peca. Next status will be 'closed'.
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.